Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.ui.icons
Class SWRLIcons

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.ui.icons.SWRLIcons

    public class SWRLIcons

extends Object

A singleton that provides access to the SWRL specific icons.

Author:
  Martin O'Connor , Holger Knublauch

Field Summary
`static String` | `IMP`
`static String` | `VARIABLE`

Constructor Summary
`SWRLIcons()`

Method Summary
`static Icon` | `getAndIcon()`
`static Icon` | `getBuiltinIcon()`
`static ImageIcon` | `getCloseBrackets()`
`static ImageIcon` | `getCloseParenthesis()`
`static Icon` | `getDifferentFromIcon()`
`static ImageIcon` | `getImageIcon(String name)`
`static ImageIcon` | `getImpIcon()`
`static Icon` | `getImpsIcon()`
`static Icon` | `getInsertAndIcon()`
`static Icon` | `getInsertImpIcon()`
`static ImageIcon` | `getOpenBrackets()`
`static ImageIcon` | `getOpenParenthesis()`
`static Icon` | `getOWL2RLIcon()`
`static Icon` | `getSameAsIcon()`
`static Icon` | `getVariableIcon()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMP

    public static final String IMP

See Also:
  Constant Field Values

### VARIABLE

    public static final String VARIABLE

See Also:
  Constant Field Values

Constructor Detail

### SWRLIcons

    public SWRLIcons()

Method Detail

### getImpIcon

    public static ImageIcon getImpIcon()

### getOpenBrackets

    public static ImageIcon getOpenBrackets()

### getCloseBrackets

    public static ImageIcon getCloseBrackets()

### getOpenParenthesis

    public static ImageIcon getOpenParenthesis()

### getCloseParenthesis

    public static ImageIcon getCloseParenthesis()

### getAndIcon

    public static Icon getAndIcon()

### getInsertImpIcon

    public static Icon getInsertImpIcon()

### getVariableIcon

    public static Icon getVariableIcon()

### getBuiltinIcon

    public static Icon getBuiltinIcon()

### getSameAsIcon

    public static Icon getSameAsIcon()

### getDifferentFromIcon

    public static Icon getDifferentFromIcon()

### getImageIcon

    public static ImageIcon getImageIcon(String name)

### getInsertAndIcon

    public static Icon getInsertAndIcon()

### getImpsIcon

    public static Icon getImpsIcon()

### getOWL2RLIcon

    public static Icon getOWL2RLIcon()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.